Wording on enter_bug.cgi when using the create-guided template

RESOLVED FIXED in Bugzilla 2.18

Status

()

defect
--
trivial
RESOLVED FIXED
16 years ago
7 years ago

People

(Reporter: david_costanzo, Assigned: gerv)

Tracking

2.10
Bugzilla 2.18
Bug Flags:
approval +

Details

()

Attachments

(1 attachment, 1 obsolete attachment)

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030925
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030925

The phrase "You need to" is used twice on moz.org's enter_bug.cgi.  To me, this
sounds impolite, pushy, and bit condescending.  I suggest re-wording the phrases
to use "please".  After all, if people are taking the time to fill out bug
reports that benefit our whole community, they should be treated with dignity
and respect.

"You need to see if your bug has already been reported" becomes "Please make
sure that your bug has not already been reported".

"You need to read the Mozilla Web Developer FAQ" becomes "Please read the
Mozilla Web Developer FAQ".


Reproducible: Always

Steps to Reproduce:
1.load http://bugzilla.mozilla.org/enter_bug.cgi?product=mozilla.org
2.
3.

Actual Results:  
The web page was very rude to me.  A lesser man would have cried.

Expected Results:  
The web site politely guides me to submit the greatest bug report ever submitted.
guided mode -> Gerv
Assignee: endico → gerv
Posted patch Patch v.1 (obsolete) — Splinter Review
Trivial patch, makes requested changes.

Gerv
Posted patch Patch v.2Splinter Review
This also fixes bug 222560.

David: thanks for filing these issues but, in future, multiple typos in the
same file can probably be one bug :-)

Gerv
Attachment #133582 - Attachment is obsolete: true
*** Bug 222560 has been marked as a duplicate of this bug. ***
Moving to Bugzilla product.

Gerv
Status: UNCONFIRMED → ASSIGNED
Component: Bugzilla: Other b.m.o Issues → Creating/Changing Bugs
Ever confirmed: true
OS: Linux → All
Product: mozilla.org → Bugzilla
Hardware: PC → All
Target Milestone: --- → Bugzilla 2.18
Version: other → 2.10
Comment on attachment 133583 [details] [diff] [review]
Patch v.2

Looking for r= and a= from justdave.

Gerv
Attachment #133583 - Flags: review?(justdave)
.
Flags: approval+
QA Contact: myk → mattyt-bugzilla
Summary: Wording on enter_bug.cgi: "You need to" sounds impolite/pushy → Wording on enter_bug.cgi when using the create-guided template
Checking in create-guided.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/bug/create/create-guided.html.tmpl,v
 <--  create-guided.html.tmpl
new revision: 1.14; previous revision: 1.13
done
Status: ASSIGNED → RESOLVED
Closed: 16 years ago
Resolution: --- → FIXED
When I filed this, I filed it on the mozilla.org product, not the Bugzilla
product (because I assumed that the typo was in mozilla.org's customization of
Bugzilla, not in the master templates).  The upshot is that, while the patch may
have been applied to Bugzilla, the typo still exists on mozilla.org.

I can understand why mozilla.org doesn't regularly update to the latest sources,
but is there a way to assign this back to the mozdev product, so that they can
fix the typo on their live template?  (I can understand if they don't change the
"you need to" wording, which may be a matter of personal preference, but the
"and and" defect is an undeniable typo and should be easy to fix.)

Incidently, the fact that "and and" is a typo and "you need to" is more a
violation of personal taste is why I filed the two typos as separate bugs.  It
was more work for me to do it this way, and I didn't realize that it would also
be more work for you.  I apologize for that.
Dude, no-one's arguing it's not a bug. Upgrading b.m.o. is a serious undertaking
and we don't do it that often. Fixing it locally would be a bit of a waste of
time, but would also make the upgrade harder, as you'd get a CVS conflict. It's
not worth it for something this small.

Gerv
QA Contact: matty_is_a_geek → default-qa
You need to log in before you can comment on or make changes to this bug.